import { CfarItinerarySliceSegment } from './cfarItinerarySliceSegment';
import { Fare } from './fare';
import { FareRule } from './fareRule';
import { PassengerPricing } from './passengerPricing';
export interface CfarItinerarySlice {
    segments: Array<CfarItinerarySliceSegment>;
    passengerPricing?: Array<PassengerPricing>;
    totalPrice?: string;
    fareBrand?: string;
    fareBasis?: string;
    fareRules?: Array<FareRule>;
    otherFares?: Array<Fare>;
}
