import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { CfarItinerary, CfarOfferCustomer } from '../../apis/hopper-cloud-airline/v1';
import { GlobalComponent } from '../global.component';
import { TranslateService } from '@ngx-translate/core';
import { HopperCfarService } from '../../services/hopper-cfar.service';
import { MatDialog } from '@angular/material/dialog';
import { LoggerService } from '../../services/logger.service';
import * as i0 from "@angular/core";
export declare class CfarOfferBannerComponent extends GlobalComponent implements OnInit {
    protected _translateService: TranslateService;
    protected _cdRef: ChangeDetectorRef;
    protected _loggerService: LoggerService;
    private _hopperCfarService;
    private _dialog;
    selectedCfarOffer: CfarOfferCustomer;
    isLoading: boolean;
    private _cfarOffers;
    hCSessionId: string;
    itineraries: CfarItinerary[];
    currentTheme: string;
    offerAccepted: EventEmitter<any>;
    offersLoaded: EventEmitter<any>;
    constructor(_translateService: TranslateService, _cdRef: ChangeDetectorRef, _loggerService: LoggerService, _hopperCfarService: HopperCfarService, _dialog: MatDialog);
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    onSubmit(cfarOffer: CfarOfferCustomer): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CfarOfferBannerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CfarOfferBannerComponent, "hopper-cfar-offer-banner", never, { "hCSessionId": "hCSessionId"; "itineraries": "itineraries"; "currentTheme": "currentTheme"; }, { "offerAccepted": "offerAccepted"; "offersLoaded": "offersLoaded"; }, never, never, false, never>;
}
