import { Logger } from '@datadog/browser-logs';
import * as i0 from "@angular/core";
export declare class LoggerService {
    private _context;
    private _logger;
    private _env;
    constructor();
    setEnv(env?: string): void;
    info(...params: Parameters<Logger['info']>): void;
    warn(...params: Parameters<Logger['warn']>): void;
    error(...params: Parameters<Logger['error']>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoggerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LoggerService>;
}
