import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CfarEvent } from '../model/cfarEvent';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class AnalyticsService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    postCustomerEvents(body: CfarEvent, observe?: 'body', reportProgress?: boolean): Observable<any>;
    postCustomerEvents(body: CfarEvent, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<any>>;
    postCustomerEvents(body: CfarEvent, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnalyticsService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AnalyticsService>;
}
