import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CfarContractCustomer } from '../model/cfarContractCustomer';
import { CfarOfferCustomer } from '../model/cfarOfferCustomer';
import { CreateCfarContractCustomerRequest } from '../model/createCfarContractCustomerRequest';
import { CreateCfarOfferCustomerRequest } from '../model/createCfarOfferCustomerRequest';
import { Configuration } from '../configuration';
import * as i0 from "@angular/core";
export declare class CancelForAnyReasonCFARService {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    postCustomerCfarContracts(body: CreateCfarContractCustomerRequest, language?: string, observe?: 'body', reportProgress?: boolean): Observable<CfarContractCustomer>;
    postCustomerCfarContracts(body: CreateCfarContractCustomerRequest, language?: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CfarContractCustomer>>;
    postCustomerCfarContracts(body: CreateCfarContractCustomerRequest, language?: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CfarContractCustomer>>;
    postCustomerCfarOffers(body: CreateCfarOfferCustomerRequest, language?: string, userAgent?: string, observe?: 'body', reportProgress?: boolean): Observable<Array<CfarOfferCustomer>>;
    postCustomerCfarOffers(body: CreateCfarOfferCustomerRequest, language?: string, userAgent?: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CfarOfferCustomer>>>;
    postCustomerCfarOffers(body: CreateCfarOfferCustomerRequest, language?: string, userAgent?: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CfarOfferCustomer>>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CancelForAnyReasonCFARService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CancelForAnyReasonCFARService>;
}
