import { Ancillary } from './ancillary';
import { CfarItinerarySlice } from './cfarItinerarySlice';
import { CfarPassenger } from './cfarPassenger';
import { FareRule } from './fareRule';
import { PassengerPricing } from './passengerPricing';
export interface CfarItinerary {
    passengerPricing: Array<PassengerPricing>;
    currency: string;
    slices: Array<CfarItinerarySlice>;
    ancillaries?: Array<Ancillary>;
    totalPrice?: string;
    passengers?: Array<CfarPassenger>;
    fareRules?: Array<FareRule>;
}
