import { CfarItinerary } from './cfarItinerary';
import { CfarTax } from './cfarTax';
import { MapCfarContents } from './mapCfarContents';
import { MapString } from './mapString';
import { RequestType } from './requestType';
export interface CfarOfferCustomer {
    id: string;
    premium: string;
    coverage: string;
    coveragePercentage: string;
    currency: string;
    taxesTotal: string;
    taxes?: Array<CfarTax>;
    requestType: RequestType;
    contractExpiryDateTime: Date;
    createdDateTime: Date;
    itinerary: CfarItinerary;
    termsConditionsUrl: MapString;
    contents: MapCfarContents;
    coverageExtension?: string;
}
