import { Error } from '../apis/hopper-cloud-airline/v1';
export declare class HcAirlinesError implements Error {
    status?: string;
    message: string;
    code?: string;
    private static readonly DEFAULT_HC_AIRLINES_ERROR_CODE;
    constructor(message: string, code?: string, status?: string);
    static buildDefault(): HcAirlinesError;
    extractCode(): string;
    toString(): string;
}
