import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AnalyticsService, CancelForAnyReasonCFARService, CfarContractCustomer, CfarOfferCustomer, CreateCfarContractCustomerRequest, CreateCfarOfferCustomerRequest } from '../apis/hopper-cloud-airline/v1';
import { HopperProxyService } from './hopper-proxy.service';
import * as i0 from "@angular/core";
export declare class HopperCfarService extends HopperProxyService {
    protected _httpClient: HttpClient;
    protected _cancelForAnyReasonCFARService: CancelForAnyReasonCFARService;
    protected _analyticsService: AnalyticsService;
    constructor(_httpClient: HttpClient, _cancelForAnyReasonCFARService: CancelForAnyReasonCFARService, _analyticsService: AnalyticsService);
    postCfarOffers(basePath: string, hCSessionId: string, language: string, request: CreateCfarOfferCustomerRequest): Observable<CfarOfferCustomer[]>;
    postCfarContracts(basePath: string, hCSessionId: string, language: string, request: CreateCfarContractCustomerRequest): Observable<CfarContractCustomer>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HopperCfarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HopperCfarService>;
}
