import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AnalyticsService, UiVariant, UiSource, CancelForAnyReasonCFARService } from '../apis/hopper-cloud-airline/v1';
import { HopperProxyService } from './hopper-proxy.service';
import * as i0 from "@angular/core";
export declare class HopperEventsService extends HopperProxyService {
    protected _httpClient: HttpClient;
    protected _cancelForAnyReasonCFARService: CancelForAnyReasonCFARService;
    protected _analyticsService: AnalyticsService;
    constructor(_httpClient: HttpClient, _cancelForAnyReasonCFARService: CancelForAnyReasonCFARService, _analyticsService: AnalyticsService);
    private _postCustomerEventRequest;
    postCreateCfarOffersBannerDisplay(basePath: string, hCSessionId: string, cfarOffersIds: Array<string>, uiVariant: UiVariant): Observable<any>;
    postCreateCfarOffersTakeoverDisplay(basePath: string, hCSessionId: string, cfarOffersIds: Array<string>): Observable<any>;
    postCreateCfarForcedChoiceWarning(basePath: string, hCSessionId: string, cfarOffersIds: Array<string>): Observable<any>;
    postCreateCfarViewInfo(basePath: string, hCSessionId: string, cfarOffersIds: Array<string>, uiSource: UiSource): Observable<any>;
    postCreateCfarDenyPurchase(basePath: string, hCSessionId: string, cfarOffersIds: Array<string>, uiSource: UiSource): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HopperEventsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HopperEventsService>;
}
